Saturday, May 28, 2011

PMD Maven problem

Can't use generics unless running in JDK 1.5 mode!
Can't use annotations when running in JDK 1.4 mode!

Just add
1.5

to properties tag in Maven pom file.



<properties>
<org.springframework.version>3.0.5.RELEASE</org.springframework.version>
<compileSource>1.5</compileSource>
<targetJdk>1.5</targetJdk>
</properties>

No comments: